Subject: Re: bug#41114: 28.0.50; default-directory & buffer-file-name set to file:// URLs

From: Tassilo Horn <[email-masked]>
Date: Wed, 06 May 2020 23:52:59 +0200

Tassilo Horn <[email-masked]> writes:

> 1. emacs -Q
> 2. (browse-url-emacs "file:///home/horn/.bashrc") ;; Adapt file name.
>
> The result of the procedure is that `buffer-file-name' is
> "file:///home/horn/.bashrc" and `default-directory' is
> "file:///home/horn/".
>
> According to the docs, both variables should be absolute file names,
> not URLs.
>
> The problems with those URLs are at least that:
>
> - C-x C-f in that buffer will offer a completely broken initial
>   directory when querying for a file or directory.  For me it is
>   ~/Repos/el/emacs/src/file:/home/horn/file:/home/horn/.
>
> - When call-process is called from that buffer it'll error that
>   file:///home/horn/ cannot be set as current directory.

In addition, the file is read-only although I have write permissions for
my own .bashrc.  When I then C-x C-f ~/.bashrc, I get the message

  ~/.bashrc and file:///home/horn/.bashrc are the same file

so Emacs actually knows they are the same file.

Bye,
Tassilo